<!DOCTYPE html>
<html>

<head>
	<title>JS</title>
</head>

<body>
	<!--javascript is done for each element within their opening tags in this example-->
	<h1>What can JS do?</h1>
	<p id="demo">Javascript can change HTML content.</p>
	<button onclick="document.getElementById('demo').innerHTML = 'HTML update!'">Click me to change things!</button>


	<hr>


	<button onclick="document.getElementById('myImage').src = 'bulbon.jpg'">Turn lights ON</button>
	<img id="myImage" src="bulboff.jpg" height="250px" width="150px">
	<button onclick="document.getElementById('myImage').src= 'bulboff.jpg'">Turn lights OFF</button>


	<hr>


	<p id="magic">This is something that will show up by magic</p>
	<button onclick="document.getElementById('magic').style.display = 'none'">Hide the text magically</button>
	<button onclick="document.getElementById('magic').style.display = 'block'">Show the text magically</button>
</body>

</html>